Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Topics - madmat

Pages: [1]
1
Layouts and printing / Find out which paper size to use
« on: December 11, 2013, 06:08:14 PM »
Hi,
I'm looking for a way to get the maximum size (Width & Length) of the boundary enclosing all the objects on the active layout (Autocad 2014).
My objective is to write a code that will automatically plot my layout, selecting the right paper size according to the real size of the objects on this Layout.

If anybody has some idea...
Thanks for your help in advance.

2
AutoCAD talk / Autoload dll from a personal folder
« on: February 13, 2013, 08:30:39 PM »
Hi,

I'm searching how to load my .Net dll via the autoloader method, but from a folder on my d:\ drive (second partition).
I managed to get it loaded from a local path (C:\Program Files\Autodesk\ApplicationPlugins\Capacites.bundle\) with xml file. That works fine.
But at work I'm not administrator anymore, and if I have to copy some files on my hard drive, I have to do it on d:\

So... my question :
Is there any way to tell Autocad to watch any self-defined path at startup for personal plugins, and to load them automatically?
I've tried "Autoloadpath" but it didn't work for me (It's maybe only a path for vba and lisp applications).

Does anybody have an idea?

3
Selection sets / Selection Ordinate Dimensions with Filter (dxf code)
« on: February 01, 2013, 11:15:43 PM »
Hello,

I need your help... (my problem is on the 3rd "MyParam.Setvalue" line)
I try to make a SelectionSet with Filter, in order to have only Ordinate Dimensions in my SelectionSet.
I've done following, but the "100" dxfCode doesn't seem to work (but the 2 other do).

-----------------
Dim MyParam(2) As TypedValue
MyParam.SetValue(New TypedValue(0, "Dimension"), 0)
MyParam.SetValue(New TypedValue(DxfCode.DimStyleName, "ISO-25"), 1)
MyParam.SetValue(New TypedValue(100, "AcDbOrdinateDimension"), 2)  '<-This one doesn't seem to work...

Dim MyFilter As SelectionFilter = New SelectionFilter(MyParam)

Dim PSR As PromptSelectionResult = myEd.GetSelection(MyFilter)
-----------------


I've tried to write "DxfCode.Subclass" instead of "100" but the result was the same.
When I type "(entget(car(entsel)))" in Autocad, I find "AcDbOrdinateDimension" for the 100 dxfCode.
Does anybody know what to do?
Is there maybe another way to filter this selection?

Pages: [1]